## org.apache.xerces.xs
Interface XSFacet

All Superinterfaces:
  XSObject

public interface XSFacet
extends XSObject

Describes a constraining facet. Enumeration and pattern facets are exposed via `XSMultiValueFacet` interface.

Method Summary
`XSAnnotation` `getAnnotation()` An annotation if it exists, otherwise `null`.
`XSObjectList` `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`short` `getFacetKind()` The name of the facet, e.g.
`boolean` `getFixed()` [Facets]: check whether a facet is fixed.
`java.lang.String` `getLexicalFacetValue()` A value of this facet.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getFacetKind

    public short getFacetKind()

  The name of the facet, e.g. `FACET_LENGTH, FACET_TOTALDIGITS` (see `XSSimpleTypeDefinition`).

### getLexicalFacetValue

    public java.lang.String getLexicalFacetValue()

  A value of this facet.

### getFixed

    public boolean getFixed()

  [Facets]: check whether a facet is fixed.

### getAnnotation

    public XSAnnotation getAnnotation()

  An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

### getAnnotations

    public XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.